#include <bits/stdc++.h>

using namespace std;

long long int v; //suma

int brojCifara()
{
	long long int x = v,br=0;
	
	while(x>0)
	{
		x /= 10;
		br++;
	}
	return br;
}

int resenje()
{
	int k = brojCifara() - 1,br=0;
	
	while(k>=0)
	{
		if(v>5*pow(10,k))
		{
			v-=5*pow(10,k); br++;
		}
		else if(v>2*pow(10,k))
		{
			v-=2*pow(10,k); br++;
		}
		else if(v>pow(10,k))
		{
			v-=pow(10,k); br++;
		}
		else
		{
			k--;
		}
	}
	return br;
}

int main()
{
	
	cin>>v;
	cout<<resenje();
	
	return 0;
}